/**
 * <copyright>
 * </copyright>
 *
 * $Id: SchemaValidator.java,v 1.1 2008-04-01 09:35:33 vmahe Exp $
 */
package orgomg.cwm.analysis.olap.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.olap.Cube;
import orgomg.cwm.analysis.olap.DeploymentGroup;
import orgomg.cwm.analysis.olap.Dimension;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.olap.Schema}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface SchemaValidator {
	boolean validate();

	boolean validateCube(EList<Cube> value);
	boolean validateDimension(EList<Dimension> value);
	boolean validateDeploymentGroup(EList<DeploymentGroup> value);
}
